\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage[german]{babel}
\usepackage{tikz}
\usetikzlibrary{calc,tikzmark,positioning,arrows,shapes,shadows}
\usepackage{tabularx}
\usepackage{colortbl}
%\usepackage[table]{xcolor}
%\usepackage{multirow}
\usepackage{listings}
\usepackage{tikzsymbols}
\usepackage{multibib}

%\definecolor{OliveGreen}{green}
\lstset{language=C++,
                basicstyle=\small\ttfamily,
                keywordstyle=\color{blue}\ttfamily,
                stringstyle=\color{red}\ttfamily,
                commentstyle=\color{OliveGreen}\ttfamily,
                morecomment=[l][\color{magenta}]{\#},
                showspaces=false,
                showstringspaces=false,
%                xleftmargin=.25in,
                escapeinside=\$\$,
                literate= {Ö}{{\"O}}1 {Ä}{{\"A}}1 {Ü}{{\"U}}1 {ß}{{\ss}}2 {ü}{{\"u}}1
 {ä}{{\"a}}1 {ö}{{\"o}}1
}

\usepackage{graphicx}
\usepackage{hyperref}


\beamertemplatenavigationsymbolsempty
%\setbeamertemplate{footline}[frame number]

\newcommand{\code}[1]{{\ttfamily #1}}

\newcommand{\geschafft}{\frame{\begin{block}{\Huge \dSmiley[1.2] \hfill Geschafft! \hfill \dSmiley[1.2]}\end{block}}}

\AtBeginSection{
\frame{
\begin{block}
	{\centering \Large \insertsection}
\end{block}
}
}

\newcites{basic}{Bücher -- Einstieg}
\newcites{adv}{Bücher -- Fortgeschritten}
